Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0018034
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminoralways2011-07-19 17:162011-08-31 10:20
ReporterjecharriView Statuspublic 
Assigned Tojecharri 
PriorityhighResolutionfixedFixed in Version3.0MP3
StatusclosedFix in branchFixed in SCM revision4cf7260180a6
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0018034: It will be interesting if the clients have the posibility to configure the lines quantity per tab

DescriptionIt will be interesting if the clients have the posibility to configure the lines quantity per tab.
At this moment the limit is in 100 lines.
Steps To ReproduceGo to sales order (it can be any window with grid view).
If you have more than 100 lines, you will see that ">100" text appear and you are not able to know how many lines are. Apart from that the checkbox to select all lines is disactivated.

Could be interesting if the user have the posibility to configure this quantity.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate feature request 0018140 newplatform It could be interesting if the client have the posibility to choose all records with one click 
related to design defect 0036048 newplatform "Lines quantity to count per Window" property is not working for P&E windows 

-  Notes
(0039246)
mtaal (developer)
2011-07-19 18:03

I think it makes sense to have different limits for different tabs in one window

gr. Martin
(0039346)
jecharri (developer)
2011-07-26 09:39

I think that it will be interesting, if the end user have the posibility to check and delete the displayed lines (configurable quantity)
(0040552)
jecharri (developer)
2011-08-30 10:37

Finally the quantity will be configurable per Window and the user has to create a new preference with property "Lines quantity to count per Window"
(0040553)
hgbot (developer)
2011-08-30 10:41

Repository: erp/devel/pi
Changeset: 4cf7260180a622388230e93b6c46fc024b2f4748
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Tue Aug 30 10:40:44 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/4cf7260180a622388230e93b6c46fc024b2f4748 [^]

Fixes issue 18034: the lines quantity to count will be configurable per window

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M src-db/database/sourcedata/AD_REF_LIST.xml
---
(0040555)
hgbot (developer)
2011-08-30 10:56

Repository: erp/devel/pi
Changeset: 41a04622702b63179295d95dee0a5501279164b9
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Tue Aug 30 10:50:49 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/41a04622702b63179295d95dee0a5501279164b9 [^]

issue 18034: the lines quantity to count will be configurable per window

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0040571)
hudsonbot (developer)
2011-08-30 19:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dfde2574ecaf [^]

Maturity status: Test
(0040572)
hudsonbot (developer)
2011-08-30 19:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dfde2574ecaf [^]

Maturity status: Test
(0040579)
jonalegriaesarte (reporter)
2011-08-31 10:20

Verified

- Issue History
Date Modified Username Field Change
2011-07-19 17:16 jecharri New Issue
2011-07-19 17:16 jecharri Assigned To => iperdomo
2011-07-19 17:16 jecharri Web browser => Google Chrome
2011-07-19 17:16 jecharri Modules => Core
2011-07-19 18:03 mtaal Note Added: 0039246
2011-07-20 09:02 iperdomo Status new => acknowledged
2011-07-20 09:02 iperdomo Web browser Google Chrome => Google Chrome
2011-07-20 09:02 iperdomo Category B. User interface => A. Platform
2011-07-26 09:39 jecharri Note Added: 0039346
2011-08-01 17:59 mtaal Relationship added has duplicate 0018140
2011-08-01 18:00 mtaal Relationship deleted has duplicate 0018140
2011-08-01 18:00 mtaal Relationship added related to 0018140
2011-08-01 18:02 mtaal Relationship replaced has duplicate 0018140
2011-08-29 08:44 iperdomo Assigned To iperdomo => jecharri
2011-08-30 10:37 jecharri Note Added: 0040552
2011-08-30 10:41 hgbot Checkin
2011-08-30 10:41 hgbot Note Added: 0040553
2011-08-30 10:41 hgbot Status acknowledged => resolved
2011-08-30 10:41 hgbot Resolution open => fixed
2011-08-30 10:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4cf7260180a622388230e93b6c46fc024b2f4748 [^]
2011-08-30 10:56 hgbot Checkin
2011-08-30 10:56 hgbot Note Added: 0040555
2011-08-30 19:39 hudsonbot Checkin
2011-08-30 19:39 hudsonbot Note Added: 0040571
2011-08-30 19:39 hudsonbot Checkin
2011-08-30 19:39 hudsonbot Note Added: 0040572
2011-08-31 10:20 jonalegriaesarte Note Added: 0040579
2011-08-31 10:20 jonalegriaesarte Status resolved => closed
2011-08-31 10:20 jonalegriaesarte Fixed in Version => 3.0MP3
2017-05-19 12:11 JONHM Relationship added related to 0036048


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker